-
    headers: 'User-Agent: Mozilla/5.0 (Linux; Android 5.1.1; OnePlus2) AppleWebKit/601.1.46 (KHTML, like Gecko) Cornowser/1.0.1.0 Chrome/49.0.2593.0 Mobile Safari/601.1'
    result: { browser: { name: Cornowser, family: { name: Chrome, version: 49 }, version: 1.0.1.0, type: browser }, engine: { name: Blink }, os: { name: Android, version: 5.1.1 }, device: { type: mobile, subtype: smart, manufacturer: OnePlus, model: '2' } }
    readable: 'Cornowser 1.0.1.0 on an OnePlus 2 running Android 5.1.1'
-
    headers: 'User-Agent: Mozilla/5.0 (Linux; Android 4.4.2; SHV-E250S Build/KOT49H) AppleWebKit/537.36 (KHTML, like Gecko) Version/4.0 Chrome/30.0.0.0 Mobile Safari/537.36 Swing(And)/2.2.6.0'
    result: { browser: { name: 'Swing Browser', using: { name: 'Chromium WebView', version: '30' }, version: 2.2.6, type: browser }, engine: { name: Blink }, os: { name: Android, version: 4.4.2 }, device: { type: mobile, subtype: smart, manufacturer: Samsung, model: 'Galaxy Note II' } }
    readable: 'Swing Browser 2.2.6 on a Samsung Galaxy Note II running Android 4.4.2'
-
    headers: 'User-Agent: Prince/7.1 (http://www.princexml.com)'
    readable: 'Prince 7.1'
    result: { browser: { name: Prince, version: '7.1', type: browser } }
-
    headers: 'User-Agent: Mozilla/5.0 (Linux; Android 5.0.2; Le X507 Build/DHXOSOP5501405251S) AppleWebKit/537.36 (KHTML, like Gecko) Version/4.0 Chrome/37.0.0.0 Mobile Safari/537.36 ACHEETAHI/2100502046'
    readable: 'CM Browser on a LeEco Le 1s X507 running Android 5.0.2'
    result: { browser: { name: 'CM Browser', using: { name: 'Chromium WebView', version: '37' }, type: browser }, engine: { name: Blink }, os: { name: Android, version: 5.0.2 }, device: { type: mobile, subtype: smart, manufacturer: LeEco, model: 'Le 1s X507' } }
-
    headers: 'User-Agent: Mozilla/5.0 (Linux; Android 6.0.1; Le X520 Build/IEXCNFN5801607282S; wv) AppleWebKit/537.36 (KHTML, like Gecko) Version/4.0 Chrome/49.0.2623.91 Mobile Safari/537.36 +CoolMarket/6.10.4'
    readable: 'Cool Market 6.10.4 on a LeEco Le 2 X520 running Android 6.0.1'
    result: { browser: { name: 'Cool Market', using: { name: 'Chromium WebView', version: '49' }, version: 6.10.4, type: browser }, engine: { name: Blink }, os: { name: Android, version: 6.0.1 }, device: { type: mobile, subtype: smart, manufacturer: LeEco, model: 'Le 2 X520' } }
-
    headers: 'User-Agent: Mozilla/5.0 (Linux; Android 6.0; Le X620 Build/HEXCNFN5601405171S; wv) AppleWebKit/537.36 (KHTML, like Gecko) Version/4.0 Chrome/43.0.2357.134 Mobile Safari/537.36 LeBrowser/7.3.0'
    readable: 'LeBrowser 7.3 on a LeEco Le 2 Pro X620 running Android 6.0'
    result: { browser: { name: LeBrowser, using: { name: 'Chromium WebView', version: '43' }, version: '7.3', type: browser }, engine: { name: Blink }, os: { name: Android, version: '6.0' }, device: { type: mobile, subtype: smart, manufacturer: LeEco, model: 'Le 2 Pro X620' } }
-
    headers: 'User-Agent: Mozilla/5.0 (Linux; Android 6.0.1; Le X526 Build/IIXOSOP5801607082S) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/59.0.3071.125 Mobile Safari/537.36 mCent/0.13.1032'
    readable: 'mCent Browser 0.13.1032 on a LeEco Le 2 X526 running Android 6.0.1'
    result: { browser: { name: 'mCent Browser', family: { name: Chrome, version: 59 }, version: 0.13.1032, type: browser }, engine: { name: Blink }, os: { name: Android, version: 6.0.1 }, device: { type: mobile, subtype: smart, manufacturer: LeEco, model: 'Le 2 X526' } }
-
    headers: 'User-Agent: Mozilla/5.0 (Linux; U; Android 6.0.1; xx; Le X820 Build/MOB31T) AppleWebKit/537.36 (KHTML, like Gecko) Version/4.0 Chrome/40.0.2214.89 Quark/1.6.9.911 Mobile Safari/537.36'
    readable: 'Quark Browser 1.6.9 on a LeEco Le Max 2 X820 running Android 6.0.1'
    result: { browser: { name: 'Quark Browser', family: { name: Chrome, version: 40 }, version: 1.6.9, type: browser }, engine: { name: Blink }, os: { name: Android, version: 6.0.1 }, device: { type: mobile, subtype: smart, manufacturer: LeEco, model: 'Le Max 2 X820' } }
-
    headers: 'User-Agent: Mozilla/5.0 (Linux; Android 6.0; Le X620 Build/HEXCNFN5801809301S; wv) AppleWebKit/537.36 (KHTML, like Gecko) Version/4.0 Chrome/49.0.2623.91 Mobile Safari/537.36 HuohouBrowser/4006'
    readable: 'Huohou Browser 4006 on a LeEco Le 2 Pro X620 running Android 6.0'
    result: { browser: { name: 'Huohou Browser', using: { name: 'Chromium WebView', version: '49' }, version: '4006', type: browser }, engine: { name: Blink }, os: { name: Android, version: '6.0' }, device: { type: mobile, subtype: smart, manufacturer: LeEco, model: 'Le 2 Pro X620' } }
-
    headers: 'User-Agent: Mozilla/5.0 (Linux; Android 6.0.1; Le X820 Build/FEXCNFN5601405314S; wv) AppleWebKit/537.36 (KHTML, like Gecko) Version/4.0 Chrome/49.0.2623.91 Mobile Safari/537.36 HuohouBrowser/3062'
    readable: 'Huohou Browser 3062 on a LeEco Le Max 2 X820 running Android 6.0.1'
    result: { browser: { name: 'Huohou Browser', using: { name: 'Chromium WebView', version: '49' }, version: '3062', type: browser }, engine: { name: Blink }, os: { name: Android, version: 6.0.1 }, device: { type: mobile, subtype: smart, manufacturer: LeEco, model: 'Le Max 2 X820' } }
-
    headers: 'User-Agent: Mozilla/5.0 (Linux; U; Android 4.3; xx; SM-N7509V Build/JLS36C) AppleWebKit/537.36 (KHTML, like Gecko) Version/4.0 Chrome/40.0.2214.89 ucpro/1.0.0.861 Mobile Safari/537.36'
    readable: 'TinY 1.0.0.861 on a Samsung Galaxy Note 3 Neo running Android 4.3'
    result: { browser: { name: TinY, family: { name: Chrome, version: 40 }, version: 1.0.0.861, type: browser }, engine: { name: Blink }, os: { name: Android, version: '4.3' }, device: { type: mobile, subtype: smart, manufacturer: Samsung, model: 'Galaxy Note 3 Neo' } }
-
    headers: 'User-Agent: Mozilla/5.0 (Linux; U; Android 6.0.1; xx; ONEPLUS A3000 Build/MXB48T) AppleWebKit/537.36 (KHTML, like Gecko) Version/4.0 Chrome/40.0.2214.89 UCPro/1.0.0.860 Mobile Safari/537.36'
    readable: 'TinY 1.0.0.860 on an OnePlus 3 running Android 6.0.1'
    result: { browser: { name: TinY, family: { name: Chrome, version: 40 }, version: 1.0.0.860, type: browser }, engine: { name: Blink }, os: { name: Android, version: 6.0.1 }, device: { type: mobile, subtype: smart, manufacturer: OnePlus, model: '3' } }
-
    headers: 'User-Agent: Mozilla/5.0 (Linux; Android 8.1.0; vivo X9 Build/OPM1.171019.011; wv) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/62.0.3202.84 Mobile Safari/537.36 VivoBrowser/6.2.0.5'
    readable: 'Vivo Browser 6.2.0.5 on a Vivo X9 running Android 8.1.0'
    result: { browser: { name: 'Vivo Browser', using: { name: 'Chromium WebView', version: '62' }, version: 6.2.0.5, type: browser }, engine: { name: Blink }, os: { name: Android, version: 8.1.0 }, device: { type: mobile, subtype: smart, manufacturer: Vivo, model: X9 } }
-
    headers: 'User-Agent: Mozilla/5.0 (Linux; Android 5.0.2; vivo X6Plus A Build/LRX22G; wv) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/62.0.3202.84 Mobile Safari/537.36 VivoBrowser/6.1.1.1'
    readable: 'Vivo Browser 6.1.1.1 on a Vivo X6 Plus A running Android 5.0.2'
    result: { browser: { name: 'Vivo Browser', using: { name: 'Chromium WebView', version: '62' }, version: 6.1.1.1, type: browser }, engine: { name: Blink }, os: { name: Android, version: 5.0.2 }, device: { type: mobile, subtype: smart, manufacturer: Vivo, model: 'X6 Plus A' } }
-
    headers: 'User-Agent: Mozilla/5.0 (Linux; Android 6.0.1; vivo Y66 Build/MMB29M; wv) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/62.0.3202.84 Mobile Safari/537.36 VivoBrowser/6.0.5.1'
    readable: 'Vivo Browser 6.0.5.1 on a Vivo Y66 running Android 6.0.1'
    result: { browser: { name: 'Vivo Browser', using: { name: 'Chromium WebView', version: '62' }, version: 6.0.5.1, type: browser }, engine: { name: Blink }, os: { name: Android, version: 6.0.1 }, device: { type: mobile, subtype: smart, manufacturer: Vivo, model: Y66 } }
-
    headers: 'User-Agent: Mozilla/5.0 (Linux; Android 5.0.2; vivo Y31 Build/LRX22G) AppleWebKit/537.36 (KHTML, like Gecko) Version/4.0 Chrome/38.0.2125.102 Mobile Safari/537.36 VivoBrowser/5.2.21'
    readable: 'Vivo Browser 5.2.21 on a Vivo Y31 running Android 5.0.2'
    result: { browser: { name: 'Vivo Browser', family: { name: Chrome, version: 38 }, version: 5.2.21, type: browser }, engine: { name: Blink }, os: { name: Android, version: 5.0.2 }, device: { type: mobile, subtype: smart, manufacturer: Vivo, model: Y31 } }
-
    headers: 'User-Agent: Mozilla/5.0 (Linux; U; Android 7.1.1; en-us; CPH1723 Build/N6F26Q) AppleWebKit/537.36 (KHTML, like Gecko) Version/4.0 Chrome/53.0.2785.134 Mobile Safari/537.36 OppoBrowser/15.5.0.2'
    readable: 'Oppo Browser 15.5.0.2 on an Oppo F5 running Android 7.1.1'
    result: { browser: { name: 'Oppo Browser', family: { name: Chrome, version: 53 }, version: 15.5.0.2, type: browser }, engine: { name: Blink }, os: { name: Android, version: 7.1.1 }, device: { type: mobile, subtype: smart, manufacturer: Oppo, model: F5 } }
-
    headers: 'User-Agent: Mozilla/5.0 (Linux; U; Android 4.4.4; zh-cn; OPPO R7 Build/KTU84P) AppleWebKit/537.36 (KHTML, like Gecko) Version/4.0 Chrome/53.0.2785.134 Mobile Safari/537.36 OppoBrowser/4.6.5.3'
    readable: 'Oppo Browser 4.6.5.3 on an Oppo R7 running Android 4.4.4'
    result: { browser: { name: 'Oppo Browser', family: { name: Chrome, version: 53 }, version: 4.6.5.3, type: browser }, engine: { name: Blink }, os: { name: Android, version: 4.4.4 }, device: { type: mobile, subtype: smart, manufacturer: Oppo, model: R7 } }
-
    headers: 'User-Agent: Mozilla/5.0 (Linux; Android 7.0; HUAWEI-M570/001.00 WAP/OBIGO/Q05A) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/63.0.3239.111 Mobile Safari/537.36 AlohaBrowser/1.2.1.3'
    readable: 'Aloha Browser 1.2.1.3 on a Huawei M570 running Android 7.0'
    result: { browser: { name: 'Aloha Browser', family: { name: Chrome, version: 63 }, version: 1.2.1.3, type: browser }, engine: { name: Blink }, os: { name: Android, version: '7.0' }, device: { type: mobile, subtype: smart, manufacturer: Huawei, model: M570 } }
-
    headers: 'User-Agent: Mozilla/5.0 (Linux; U; Android 7.1.1; en-us; CPH1723 Build/N6F26Q) AppleWebKit/537.36 (KHTML, like Gecko) Version/4.0 Chrome/53.0.2785.134 Mobile Safari/537.36 CoRom/30.0.1599.101'
    readable: 'Corom Browser 30.0.1599.101 on an Oppo F5 running Android 7.1.1'
    result: { browser: { name: 'Corom Browser', family: { name: Chrome, version: 53 }, version: 30.0.1599.101, type: browser }, engine: { name: Blink }, os: { name: Android, version: 7.1.1 }, device: { type: mobile, subtype: smart, manufacturer: Oppo, model: F5 } }
-
    headers: 'User-Agent: Mozilla/5.0 (iPad; CPU OS 11_3 like Mac OS X) AppleWebKit/605.1.15 (KHTML, like Gecko) Mobile/15E302 Safari/9537.53 DiigoBrowser'
    result: { browser: { name: 'Diigo Browser', type: browser }, engine: { name: Webkit, version: 605.1.15 }, os: { name: iOS, version: '11.3' }, device: { type: mobile, subtype: smart, manufacturer: Apple, model: iPad } }
    readable: 'Diigo Browser on an Apple iPad running iOS 11.3'
-
    headers: 'User-Agent: Mozilla/5.0 (Linux; U; Android 8.1.0; zh-cn; PBAM00 Build/OPM1.171019.026) AppleWebKit/537.36 (KHTML, like Gecko) Version/4.0 Chrome/70.0.3538.80 Mobile Safari/537.36 HeyTapBrowser/10.7.2.1'
    readable: 'HeyTap Browser 10.7.2.1 on an Oppo A5 running Android 8.1.0'
    result: { browser: { name: 'HeyTap Browser', family: { name: Chrome, version: 70 }, version: 10.7.2.1, type: browser }, engine: { name: Blink }, os: { name: Android, version: 8.1.0 }, device: { type: mobile, subtype: smart, manufacturer: Oppo, model: A5 } }
-
    headers: 'User-Agent: Mozilla/5.0 (Linux; Android 5.0.2; Le X507 Build/DHXOSOP5501405251S) AppleWebKit/537.36 (KHTML, like Gecko) Version/4.0 Chrome/37.0.0.0 Mobile Safari/537.36 Epic/1.0'
    readable: 'Epic Browser 1.0 on a LeEco Le 1s X507 running Android 5.0.2'
    result: { browser: { name: 'Epic Browser', using: { name: 'Chromium WebView', version: '37' }, version: '1.0', type: browser }, engine: { name: Blink }, os: { name: Android, version: 5.0.2 }, device: { type: mobile, subtype: smart, manufacturer: LeEco, model: 'Le 1s X507' } }
-
    headers: 'User-Agent: Mozilla/5.0 (Linux; U; Android 9; pl-pl; Redmi 6A Build/PPR1.180610.011) AppleWebKit/537.36 (KHTML, like Gecko) Version/4.0 Chrome/61.0.3163.128 Mobile Safari/537.36 XiaoMi/Mint Browser/3.3.1'
    readable: 'Mint Browser 3.3.1 on a Xiaomi Redmi 6A running Android 9'
    result: { browser: { name: 'Mint Browser', family: { name: Chrome, version: 61 }, version: 3.3.1, type: browser }, engine: { name: Blink }, os: { name: Android, version: '9' }, device: { type: mobile, subtype: smart, manufacturer: Xiaomi, model: 'Redmi 6A' } }
-
    headers: 'User-Agent: Mozilla/5.0 (Linux; U; Android 9; en; SM-A205GN) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/64.0.3282.137 Mobile Tenta/3.1.6 Build/2162 Safari/537.36'
    readable: 'Tenta Browser 3.1.6 on a Samsung Galaxy A20 running Android 9'
    result: { browser: { name: 'Tenta Browser', family: { name: Chrome, version: 64 }, version: 3.1.6, type: browser }, engine: { name: Blink }, os: { name: Android, version: '9' }, device: { type: mobile, subtype: smart, manufacturer: Samsung, model: 'Galaxy A20' } }
-
    headers: 'User-Agent: Mozilla/5.0 (Linux; Android 7.1.1; SM-J510H Build/NMF26X) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/64.0.3282.204 Mobile Safari/537.36 TNSBrowser/25.01'
    readable: 'K.Browser 25.01 on a Samsung Galaxy J5 (2016) running Android 7.1.1'
    result: { browser: { name: K.Browser, family: { name: Chrome, version: 64 }, version: '25.01', type: browser }, engine: { name: Blink }, os: { name: Android, version: 7.1.1 }, device: { type: mobile, subtype: smart, manufacturer: Samsung, model: 'Galaxy J5 (2016)' } }
-
    headers: 'User-Agent: Mozilla/5.0 (Linux; U; Android 9; RMX1941 Build/PPR1.180610.011) AppleWebKit/537.36 (KHTML, like Gecko) Version/4.0 Chrome/53.0.2785.134 Mobile Safari/537.36 RealmeBrowser/35.5.0.8'
    readable: 'Realme Browser 35.5.0.8 on a RMX1941 running Android 9'
    result: { browser: { name: 'Realme Browser', family: { name: Chrome, version: 53 }, version: 35.5.0.8, type: browser }, engine: { name: Blink }, os: { name: Android, version: '9' }, device: { type: mobile, subtype: smart, model: RMX1941 } }
-
    headers: 'User-Agent: Mozilla/5.0 (iPad; CPU OS 9_3_5 like Mac OS X) AppleWebKit/601.1.46 (KHTML, like Gecko) Mobile/13G36 (Ecosia ios@4.0.10.813) Safari/604'
    result: { browser: { name: 'Ecosia Browser', version: 4.0.10.813, type: browser }, engine: { name: Webkit, version: 601.1.46 }, os: { name: iOS, version: 9.3.5 }, device: { type: mobile, subtype: smart, manufacturer: Apple, model: iPad } }
    readable: 'Ecosia Browser 4.0.10.813 on an Apple iPad running iOS 9.3.5'
-
    headers: 'User-Agent: Mozilla/5.0 (Linux; Android 9; FIG-LX3 Build/HUAWEIFIG-L23) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/69.0.3497.128 Mobile Safari/537.36 (Ecosia android@69.0.3497.128)'
    result: { browser: { name: 'Ecosia Browser', family: { name: Chrome, version: 69 }, version: 69.0.3497.128, type: browser }, engine: { name: Blink }, os: { name: Android, version: '9' }, device: { type: mobile, subtype: smart, manufacturer: Huawei, model: 'P Smart' } }
    readable: 'Ecosia Browser 69.0.3497.128 on a Huawei P Smart running Android 9'
-
    headers: 'User-Agent: Mozilla/5.0 (iPad; CPU OS 10_3_3 like Mac OS X) AppleWebKit/603.3.8 (KHTML, like Gecko) Mobile/14G60 Version/10.3 Safari/8536.25 Mobicip/1882608256'
    result: { browser: { name: Mobicip, type: browser }, engine: { name: Webkit, version: 603.3.8 }, os: { name: iOS, version: 10.3.3 }, device: { type: mobile, subtype: smart, manufacturer: Apple, model: iPad } }
    readable: 'Mobicip on an Apple iPad running iOS 10.3.3'
